
TYPO3.Flow - Bug # 42342

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Package
Created: 2012-10-24 Assigned To: Christian Jul Jensen
Updated: 2012-12-11 Due date:
PHP Version: 5.4
Has patch: No
Complexity: medium
Affected Flow version: Git 1.2 (master)
Subject: Fatal error / no possibility to flush caches after package has been removed
Description

Steps to reproduce (production context!):

- create Acme.Demo package
- warm up caches
- remove the package manually by just deleting the package directory
- run ./flow or anyhting else

Actual result:

Fatal error: Uncaught exception 'TYPO3\Flow\Package\Exception\InvalidPackagePathException' with message 'Package path does
not exist or is no directory.' in
/Volumes/HDD/opt/local/apache2/htdocs/Sites/robertlemke.com/Packages/Framework/TYPO3.Flow/Classes/TYPO3/Flow/Package/Package.php on line 99
ackage.php on line 99

Expected result:

Handle this more gracefully – either just ignore it and update PackageStates.php or at least output an error message.
But I'd rather see 1) implemented …

Associated revisions
Revision f0ef1636 - 2012-12-11 09:48 - Christian Jul Jensen

[BUGFIX] Handle missing - but registered - packages gracefully

In production a missing, but registered package leads to a fatal
error. Handle this situation gracefully.

Allow logging early on in the package manager.

Change-Id: Ia8e697516d6b4ed9953d52e6cd3b28cd0ceca47c
Fixes: #42342
Releases: 1.2

History
#1 - 2012-10-24 12:55 - Robert Lemke

Robert Lemke wrote:
Steps to reproduce:

- create Acme.Demo package
- warm up caches
- remove the package manually by just deleting the package directory
- run ./flow or anyhting else

Remark: I tried this in Production context

#2 - 2012-10-25 10:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15931

#3 - 2012-10-25 10:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15931

#4 - 2012-10-25 10:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15931

#5 - 2012-10-29 17:25 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15931

#6 - 2012-10-31 19:30 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15931

#7 - 2012-11-08 10:31 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15931

#8 - 2012-11-08 10:58 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15931
#9 - 2012-12-11 09:53 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/15931

#10 - 2012-12-11 22:46 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
